Get list of potential clashes with files in other users' workspaces and branches
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/other_statuses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/other_statuses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/other_statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statuses": [
{
"path": "<string>",
"file_statuses": [
{
"commit_id": "<string>",
"status": 1,
"author": {
"id": "<string>",
"image": "<string>",
"email": "jsmith@example.com",
"full_name": "<string>",
"name": "<string>"
},
"workspace_id": "<string>",
"branch_id": "<string>",
"branch_name": "<string>",
"mtime": 123
}
]
}
]
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Workspace Manipulation
Other workspace statuses
Get list of potential conflicts with files in other users’ workspaces and branches
GET
/
repos
/
{repo_id}
/
workspaces
/
{workspace_id}
/
other_statuses
Get list of potential clashes with files in other users' workspaces and branches
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
The repo ID of the workspace.
Required string length:
3 - 128Example:
"example_id"
Query Parameters
A path prefix in the file tree to walk under
Example:
"path/to/file"
Limit the number of entries returned from walk
Required range:
x >= 1Example:
17
Response
By path description of file statuses in other workspaces and branches
Status of files in multiple refs
Show child attributes
Show child attributes

